---
title: llarp::service::EncryptedName

---

# llarp::service::EncryptedName





## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::optional< [Address](Classes/structllarp_1_1service_1_1Address.md) > | **[Decrypt](Classes/structllarp_1_1service_1_1EncryptedName.md#function-decrypt)**(std::string_view name) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [SymmNonce](Classes/structllarp_1_1AlignedBuffer.md) | **[nonce](Classes/structllarp_1_1service_1_1EncryptedName.md#variable-nonce)**  |
| std::string | **[ciphertext](Classes/structllarp_1_1service_1_1EncryptedName.md#variable-ciphertext)**  |

## Public Functions Documentation

### function Decrypt

```cpp
std::optional< Address > Decrypt(
    std::string_view name
) const
```


## Public Attributes Documentation

### variable nonce

```cpp
SymmNonce nonce;
```


### variable ciphertext

```cpp
std::string ciphertext;
```


-------------------------------

Updated on 2023-01-23 at 22:05:55 +0000